Identity, people & notifications
Get All Pending Decision Action Request
Returns action requests awaiting the caller decision via ActionRequestService.getAllActionRequestPendingApproval.
GEThttps://api.toku.com/platform/get-all-pending-decision-action-request
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/platform/get-all-pending-decision-action-request' \
--header 'Authorization: Bearer <token>'200 response
{
"pendingDecisionactionRequests": [
{
"actionRequestID": "string",
"type": "string",
"orgID": "string",
"createdByID": "string",
"status": "string",
"identifier": "string",
"createdAt": "string",
"updatedAt": "string",
"approverID": "string",
"approverType": "string",
"isClosed": true
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
pendingDecisionactionRequestsobject[]requiredShow child attributes
actionRequestIDstringrequiredtypestringrequiredorgIDstringrequiredcreatedByIDstringrequiredstatusstringrequiredidentifierstringrequiredpayloadanyrequiredcreatedAtstringrequiredupdatedAtstringrequiredapproverIDstring | nullrequiredapproverTypestringrequiredisClosedbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits